release-upgrader needs porting to per-fragment keys / gpgv / apt-key infra

Bug #1628415 reported by Dimitri John Ledkov on 2016-09-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Dimitri John Ledkov
Yakkety
High
Dimitri John Ledkov

Bug Description

<bdmurray> xnox: Is there anything out of date with this? https://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-release-upgrader/trunk/view/head:/DistUpgrade/DistUpgradeFetcherCore.py#L80

<xnox> bdmurray, yes. in yakkety that is probably broken. Also I'm guessing that gpgv should be used.

Related branches

Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in ubuntu-release-upgrader (Ubuntu Yakkety):
status: New → Confirmed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.10.4

---------------
ubuntu-release-upgrader (1:16.10.4) yakkety; urgency=medium

  [ Brian Murray ]
  * DistUpgradeController.py: fix UnboundLocalError - thanks to Launchpad user
    MissionSix for the patch. (LP: #1611470)
  * po/POTFILES.in: use check_new_release_gtk.py to allow for fuzzy
    translations.

  [ Dimitri John Ledkov ]
  * Mirgrate to using apt-key, instead of gpg/gpgv directly to gain
    support for apt-secure trustedparts (key fragments in
    /etc/apt/trusted.gpg.d). (LP: #1628415)

 -- Brian Murray <email address hidden> Mon, 03 Oct 2016 16:09:42 -0700

Changed in ubuntu-release-upgrader (Ubuntu Yakkety):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers